> For the complete documentation index, see [llms.txt](https://developers.docstudio.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.docstudio.com/api-documentation/api-methods/check-envelope-status.md).

# Check Envelope Status

Use this endpoint to list envelopes in a mailbox and filter them by status, sender, template, labels, dates, and scope. Use the returned envelope UUID to inspect one envelope, download related files, or request audit trail data.

### Method

| Endpoint         |                          |
| ---------------- | ------------------------ |
| Method           | GET                      |
| Request URL      | `/api/v1/mailbox/{uuid}` |
| **Headers**      |                          |
| Authorization \* | Bearer {token}           |
| Content-Type     | application/json         |

### Path parameters

| Parameter | Type     | Required | Description         |
| --------- | -------- | -------- | ------------------- |
| `uuid`    | `string` | Yes      | Target mailbox UUID |

### Headers

<table><thead><tr><th width="218">Header</th><th width="226">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>Authorization</code></td><td>Yes</td><td><code>Bearer {token}</code></td></tr><tr><td><code>mailboxUuid</code></td><td>Yes</td><td>Current mailbox UUID</td></tr></tbody></table>

### Query parameters

<table><thead><tr><th width="174">Parameter</th><th width="106">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>q</code></td><td>No</td><td>Search query</td></tr><tr><td><code>archived</code></td><td>No</td><td>Archive flag. Default is <code>false</code></td></tr><tr><td><code>expireDatePeriod</code></td><td>No</td><td>Expiration date period</td></tr><tr><td><code>label</code></td><td>No</td><td>Comma-separated label UUID list</td></tr><tr><td><code>limit</code></td><td>No</td><td>Maximum number of records. Default is <code>25</code></td></tr><tr><td><code>offset</code></td><td>No</td><td>Number of records to skip. Default is <code>0</code></td></tr><tr><td><code>receiveDatePeriod</code></td><td>No</td><td>Receive date period</td></tr><tr><td><code>scope</code></td><td>No</td><td><code>inbox</code> or <code>outbox</code></td></tr><tr><td><code>sender</code></td><td>No</td><td>Sender UUID</td></tr><tr><td><code>sort</code></td><td>No</td><td><code>asc</code> or <code>desc</code></td></tr><tr><td><code>status</code></td><td>No</td><td><code>DRAFT</code>, <code>WAITING</code>, <code>COMPLETED</code>, <code>EXPIRED</code>, or <code>CANCELLED</code></td></tr><tr><td><code>subject</code></td><td>No</td><td>Envelope subject</td></tr><tr><td><code>template</code></td><td>No</td><td>Comma-separated template UUID list</td></tr><tr><td><code>UUID</code></td><td>No</td><td>Envelope UUID. Return one full envelope with template when provided</td></tr></tbody></table>

### Request example

Use this request to list outbox envelopes created from one template.

```
GET https://api.platform_address_here/api/v1/mailbox/837bc65e-4818-48f5-a933-2d00b24b6e12?scope=outbox&archived=false&template=e5705211-51d1-4c34-9429-c537038b3c44&limit=20&offset=0&sort=desc
Authorization: Bearer {token}
Content-Type: application/json
mailboxUuid: 837bc65e-4818-48f5-a933-2d00b24b6e12
```

### Response example

By default, the response returns envelope summaries.

```json
{
  "totalElements": 2,
  "sizeRequested": 20,
  "numberOfElements": 2,
  "data": [
    {
      "envelopeUuid": "e8d5a176-d75e-4d9d-ad19-c66ef300a4a1",
      "subject": "Job Offer",
      "message": "Please review and sign.",
      "archived": false,
      "sentByMe": false,
      "createdAt": "2020-12-08T13:35:29.228Z",
      "seenAt": null,
      "expiredAfter": "2021-01-07T13:35:29.330Z",
      "notifyBeforeExpire": false,
      "status": "SENT",
      "mailboxUUID": "837bc65e-4818-48f5-a933-2d00b24b6e12",
      "mailboxName": "testMailbox",
      "total": 3,
      "completed": 1,
      "labels": [],
      "templateUuid": "e5705211-51d1-4c34-9429-c537038b3c44",
      "templateName": "Job Offer"
    },
    {
      "envelopeUuid": "94544d72-301c-4cda-a7fa-e2b7ec4fec7a",
      "subject": "Employment Contract",
      "message": "Final version.",
      "archived": false,
      "sentByMe": false,
      "createdAt": "2020-12-07T16:23:40.133Z",
      "seenAt": "2020-12-07T16:23:41.312Z",
      "expiredAfter": "2021-01-06T16:23:40.244Z",
      "notifyBeforeExpire": false,
      "status": "COMPLETED",
      "mailboxUUID": "837bc65e-4818-48f5-a933-2d00b24b6e12",
      "mailboxName": "testMailbox",
      "total": 3,
      "completed": 3,
      "labels": [],
      "templateUuid": "e5705211-51d1-4c34-9429-c537038b3c44",
      "templateName": "Job Offer"
    }
  ]
}
```

### Get full envelope with template

Pass the envelope UUID in the `UUID` query parameter to return the full envelope and the related template in one response.

#### Request example

```
GET https://api.platform_address_here/api/v1/mailbox/837bc65e-4818-48f5-a933-2d00b24b6e12?UUID=3fa85f64-5717-4562-b3fc-2c963f66afa6
Authorization: Bearer {token}
Content-Type: application/json
mailboxUuid: 837bc65e-4818-48f5-a933-2d00b24b6e12
```

#### Response example

```json
{
  "envelope": {
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "receivedAt": "2020-12-09T20:11:39.774Z",
    "total": 3,
    "completed": 0,
    "labels": [
      "3fa85f64-5717-4562-b3fc-2c963f66afa6"
    ],
    "data": "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?><envelope templateUuid=\"6a9147f2-ec26-41f6-b694-7dd33eb3a659\" templateVersion=\"dd598d80-8856-401c-a45c-06503c0d8a19\"><state><status>SENT</status><date>2020-12-09T20:11:39.774Z</date></state></envelope>"
  },
  "template": {
    "uuid": "6a9147f2-ec26-41f6-b694-7dd33eb3a659",
    "version": "dd598d80-8856-401c-a45c-06503c0d8a19",
    "name": "Job Offer",
    "description": "Standard hiring template",
    "access": "account",
    "archive": true,
    "categories": [],
    "createdAt": "2020-12-09T20:10:44.503Z",
    "modifiedAt": "2020-12-09T20:10:44.503Z",
    "dataCreatedAt": "2020-12-09T20:10:44.543Z",
    "dataModifiedAt": "2020-12-09T20:10:44.543Z",
    "data": "<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"yes\"?><template>...</template>"
  }
}
```

### Response status codes

| Code | Description    |
| ---- | -------------- |
| 200  | Success        |
| 401  | Not authorized |
| 403  | Forbidden      |
| 404  | Not found      |

### Related topics

* [Send Envelope](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/envelope/send-envelope)
* [Fill Envelope](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/envelope/fill-envelope)
* [Download Envelope Documents Archive](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/download-envelope-documents-archive)
* [Get Envelope Audit Trail](https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/audit-trail-record/get-envelope-audit-trail)
